package com.yeejoin.amos.maintenance.business.dao.repository;

import java.util.List;
import java.util.Optional;

import org.springframework.stereotype.Repository;

import com.yeejoin.amos.maintenance.dao.entity.Task;

@Repository("taskDao")
public interface ITaskDao extends BaseDao<Task, Long> {

	List<Task> findAllByStatus(int status);
	
	Optional<Task> findById(Long id);
	
}
